# To Do

## Bot Architecture
- [x] Simplify directory tree
- [x] Split event listeners into individual cogs.

## Bot Functionality
- [ ] 'Delete Commands' Function
- [ ] 'Register Commands' Function
- [ ] Infer Permissions from Config
- [X] Dynamic Command Prefixes
- [ ] Infer Games from Server Structure
- [ ] Re-enable logging
- [X] Delete Dev/Test Functions
- [ ] Error handlers
- [ ] Debug Features
- [ ] Help Channel Event Listener
> - [ ] Add Config key for Help Channel
- [ ] Slash Command Buttons or
- [ ] Reaction listener selectors
- [ ] Member Verification
> - [ ] Add Config key membership signup channels
> - [ ] Add config keys: Membership Category Roles
> - [ ] Message Receive listener
> - [ ] Message React listener or buttons
- [ ] Membership Restriction
> - [ ] Message Receive Listener
> - [ ] Membership Validation Listener

## Event Listeners

### Review Configs When
- [X] Guild Changing Ownership
- [X] Roles Modified  
- [X] Mod Channel Deleted

## Commands
- [ ] Configure Bot function and sub commands
- [ ] Set up command permissions
- [ ] Migrate existing bot commands
> - [ ] setupgame
> - [ ] ~~definebotrole~~ config
> - [ ] deletegame
> - [ ] reset
> - [ ] migrate
> - [ ] kickplayer
> - [ ] addplayer
> - [ ] leavegame
> - [ ] Pitch command and sub-commands
> > - [ ] run
> > - [ ] clear

## Misc
- [ ] Review documentation